﻿#language: ru

Функционал: Сквозной отчет по варке

Сценарий: Сквозной отчет по варке
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ партии сквозной"
	Тогда открылось окно 'Анализ партии сквозной'
	И я жду доступности элемента с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0Значение" в течение 10 секунд
	И в поле "Дата начала" я ввожу текст '11.03.2019 23:59:59'
	И в поле "Дата окончания" я ввожу текст '13.03.2019 00:00:01'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочий центр'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Рабочие центры'
	Тогда открылось окно 'Рабочий центр'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Анализ партии сквозной'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ партии сквозной"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'      | 'Использование' | 'Поле'           |
		| 'Список анализы' | 'Нет'           | 'Список анализы' |
	И в таблице "Отборы" я активизирую поле с именем "ОтборыЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыЗначение"
	Тогда открылось окно 'Список анализы'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Показатели анализов номенклатуры'
	Тогда открылось окно 'Список анализы'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Настройки отчета "Анализ партии сквозной"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'    | 'Использование' | 'Поле'         |
		| 'Список этапы' | 'Нет'           | 'Список этапы' |
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыЗначение"
	Тогда открылось окно 'Список этапы'
	И я нажимаю на кнопку 'Подбор'
	Тогда открылось окно 'Шаблоны этапов производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Шаблоны этапов производства'
	Тогда открылось окно 'Список этапы'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Настройки отчета "Анализ партии сквозной"'
	И в таблице "Отборы" я завершаю редактирование строки
	И я перехожу к закладке "Оформление"
	И в таблице "Оформление" я перехожу к строке:
		| 'Использование' | 'Элемент оформления' |
		| 'Да'            | 'Выводить фильтры'   |
	И в таблице "Оформление" я снимаю флаг с именем 'ОформлениеИспользование'
	И я нажимаю на кнопку 'Закрыть'
	Тогда открылось окно 'Анализ партии сквозной'
	И я жду доступности элемента с именем 'СформироватьОтчет' в течение 10 секунд
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C1" равна 'Российский 50%'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C3" равна '12.03.2019/1'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C4" равна '10 022,105'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C5" равна '952,100'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C8" равна '0,231'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C10" равна '25'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C9" равна '22'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C15" равна 'Карщик Невельская'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C16" равна 'Укладчик Сидорова'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C17" равна 'Укладчик Петров'
	И я закрываю окно 'Анализ партии сквозной'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку "Нет"
	Тогда открылось окно 'Отчеты по производству'	
	И я закрываю окно 'Отчеты по производству'